#ifndef AKENTI_SERVER_EXTERNAL_CACHE_IMPL_HPP
#define AKENTI_SERVER_EXTERNAL_CACHE_IMPL_HPP

#include "ExternalCacheImpl.hpp"

namespace Akenti {

/**
  * <i>ServerExternalCacheImpl</i> 
  *
  * @version 1.1 00/05/01
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari
  */
class ServerExternalCacheImpl : public ExternalCacheImpl {
  
public:

  /**
    *
    */
  ServerExternalCacheImpl();

  /**
    *
    */
  ~ServerExternalCacheImpl();

  /**
    *
    */
  bool openConnection();

  /**
    *
    */
  bool
  storeCacheCertificate(const string& rootResourceName, 
                        const CacheCertificate& cert,
                        const string& dirName);

  /**
    *
    */
  CacheCertificate
  retrieveCacheCertificate(const string& rootResourceName, 
                           const string& key,
                           const string& dirName); 
  /**
    *
    */
  bool flushCacheCertificates(const string& rootResourceName,
                              const string& key,
                              const string& dirName);
  /**
    *
    */
  bool closeConnection();

};

} // end of name space

#endif
