#ifndef AKENTI_UPLOAD_POLICY_CERTIFICATE_RESPONSE_HPP
#define AKENTI_UPLOAD_POLICY_CERTIFICATE_RESPONSE_HPP

#include "AkentiResponse.hpp"

namespace Akenti {

/**
  * Used to wrap the response to an <i>UploadPolicyCertificateRequest</i>.
  *
  * @see AkentiResponse
  * @see UploadPolicyCertificateRequest
  */
class UploadPolicyCertificateResponse : public AkentiResponse {
 
public:

  /**
    * Constuctor
    */
  UploadPolicyCertificateResponse();

  /**
    */
  ~UploadPolicyCertificateResponse();

private:

  friend class AkentiRequestResponseImplFactory;
  friend class AkentiResponse;
  static AkentiResponseImpl* getResponseImpl();
  class UploadPolicyCertificateResponseImpl;
  typedef UploadPolicyCertificateResponseImpl* ImplType;

};

}

#endif
